﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace WPF_Folyamatok
{
  /// <summary>
  /// Interaction logic for wndAblak.xaml
  /// </summary>
  public partial class wndAblak : Window
  {
    Folyamatok Folyamatok;
    public wndAblak()
    {
      InitializeComponent();
      Folyamatok = new Folyamatok();
    }

    private void Window_Loaded(object sender, RoutedEventArgs e)
    {
      lbFolyamatlista.DataContext = Folyamatok;
    }

    private void lbFolyamatlista_SelectionChanged(object sender, SelectionChangedEventArgs e)
    {
      if (lbFolyamatlista.SelectedItems.Count > 0)
      {
        toFolyamatnév.Text = Folyamatok[lbFolyamatlista.SelectedIndex].Folyamatnév;
        toAzonosító.Text = Folyamatok[lbFolyamatlista.SelectedIndex].Azonosító;
        toVMMéret.Text = Folyamatok[lbFolyamatlista.SelectedIndex].VMMéret;
      }
    }

    private void btRendez_Click(object sender, RoutedEventArgs e)
    {
      Folyamatok.Sort(Összehasonlít);
      lbFolyamatlista.DataContext = null;
      lbFolyamatlista.DataContext = Folyamatok;
    }

    private static int Összehasonlít(Folyamat A, Folyamat B)
    {
      return A.Folyamatnév.CompareTo(B.Folyamatnév);
    }
  }
}
